Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Interface RepositoryOps

All Superinterfaces
  javax.ejb.EJBLocalObject

    public interface RepositoryOps

extends javax.ejb.EJBLocalObject

Interface describing repository operations.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `createRepositoryConfig(RepositoryConfig repositoryConfig)` Creates a RepositoryConfig.
`void` | `createRepositoryConfig(String name)` Creates a Default BEA RepositoryConfig.
`RepositoryConfig` | `getRepositoryConfig(String name)` Gets a RepositoryConfig including it's Properties.
`Map` | `getRepositoryConfigMap()` Gets a Map of the all the RepositoryConfigs.
`boolean` | `isRemovable(String name)` Determine if the given repository can be removed.
`void` | `removeRepositoryConfig(String name)` Removes a RepositoryConfig including it's Properties.
`void` | `updateRepositoryConfig(RepositoryConfig repositoryConfig)` Updates a RepositoryConfig, including it's Properties.

Methods inherited from interface javax.ejb.EJBLocalObject
`getEJBLocalHome, getPrimaryKey, isIdentical, remove`

Method Detail

### getRepositoryConfigMap

    Map getRepositoryConfigMap()

  Gets a Map of the all the RepositoryConfigs.

### createRepositoryConfig

    void createRepositoryConfig(String name)
                                throws RepositoryConfigExistsException,
                                       RepositoryException

  Creates a Default BEA RepositoryConfig.

  Parameters
    `name` - - the name of the Repository to create.
  Throws
    `RepositoryConfigExistsException` - - if the name of the RepositoryConfig is already in use.
    `RepositoryException` - - if a system error occurs.

### createRepositoryConfig

    void createRepositoryConfig(RepositoryConfig repositoryConfig)
                                throws RepositoryConfigExistsException,
                                       RepositoryException

  Creates a RepositoryConfig.

  Parameters
    `repositoryConfig` - - the RepositoryConfig to create.
  Throws
    `RepositoryConfigExistsException` - - if the name of the RepositoryConfig is already in use.
    `RepositoryException` - - if a system error occurs.

### getRepositoryConfig

    RepositoryConfig getRepositoryConfig(String name)
                                         throws NoSuchRepositoryConfigException,
                                                RepositoryException

  Gets a RepositoryConfig including it's Properties.

  Parameters
    `name` - - the name of the RepositoryConfig to get.
  Returns
    The repository config
  Throws
    `NoSuchRepositoryConfigException` - - if the RepositoryConfig to get does not exist.
    `RepositoryException` - - if a system error occurs.

### updateRepositoryConfig

    void updateRepositoryConfig(RepositoryConfig repositoryConfig)
                                throws NoSuchRepositoryConfigException,
                                       RepositoryException

  Updates a RepositoryConfig, including it's Properties.

  Parameters
    `repositoryConfig` - - the RepositoryConfig to update.
  Throws
    `NoSuchRepositoryConfigException` - - if the RepositoryConfig to update does not exist.
    `RepositoryException` - - if a system error occurs.

### removeRepositoryConfig

    void removeRepositoryConfig(String name)
                                throws NoSuchRepositoryConfigException,
                                       RepositoryException

  Removes a RepositoryConfig including it's Properties.

  Parameters
    `name` - - the name of the RepositoryConfig to remove.
  Throws
    `NoSuchRepositoryConfigException` - - if the RepositoryConfig to remove does not exist.
    `RepositoryException` - - if a system error occurs.

### isRemovable

    boolean isRemovable(String name)
                        throws RepositoryException

  Determine if the given repository can be removed. This is possible through the API when the configuration is not defined in the application's content-config.xml.

  Parameters
    `name` - THe name of the repository
  Returns
    true or false depending on whether the repository is defined in the application's content-config.xml.
  Throws
    `RepositoryException` - If this operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved